> For the complete documentation index, see [llms.txt](https://docs.plutu.ly/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plutu.ly/api-documentation.md).

# API Documentation

- [Introduction](https://docs.plutu.ly/api-documentation/introduction.md)
- [Authentication](https://docs.plutu.ly/api-documentation/authentication.md): Plutu API authentication
- [IP Whitelist](https://docs.plutu.ly/api-documentation/authentication/ip-whitelist.md): IP Whitelist filters requests to allow only from your own servers and reject others.
- [Payments](https://docs.plutu.ly/api-documentation/payments.md): Our platform supports a range of payment gateways and services to help you accept payments from your customers easily and securely. Here are the Plutu payment gateways that we currently support:
- [Sadad](https://docs.plutu.ly/api-documentation/payments/sadad.md): Mobile payment service provided by Al-Madar
- [Adfali](https://docs.plutu.ly/api-documentation/payments/adfali.md): Provided by the Bank of Commerce and Development
- [Local Bank Cards](https://docs.plutu.ly/api-documentation/payments/local-bank-cards.md): Local bank cards managed by Numo network
- [MPGS](https://docs.plutu.ly/api-documentation/payments/mpgs.md): Mastercard Payment Gateway Services (MPGS) is a secure payment gateway that enables businesses to accept online payments from customers through various payment channels.
- [T-Lync Service](https://docs.plutu.ly/api-documentation/payments/t-lync.md): T-Lync service from Tadawul digital solution provider
- [Errors](https://docs.plutu.ly/api-documentation/errors.md): Plutu provides a list of error codes and messages for troubleshooting payment integration issues.
- [Testing](https://docs.plutu.ly/api-documentation/testing.md): Simulate payments to test your integration with Plutu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.plutu.ly/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
